<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/shif.php';
$show_all=true; // показ для всех
include_once 'sys/inc/user.php';
only_unreg();
$set['title']='Регистрация на Xhata.Su';
include_once 'sys/inc/thead.php';
title();
//aut();
if ($set['guest_select']=='1')msg("Внимание! ники вида ааааа,12345 и т.п. будут удалены сразу же после регистрации!");
if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!ereg('mail\.php',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',ereg_replace('^http://[^/]*/','/', $_SERVER['HTTP_REFERER']));


if ($set['reg_select']=='close')
{
$err='Регистрация закрыта по тех.причинам!';
err();

echo "<a href='/aut.php'>Авторизация</a><br />\n";
include_once 'sys/inc/tfoot.php';
}
elseif($set['reg_select']=='open_mail' && isset($_GET['id']) && isset($_GET['activation']) && $_GET['activation']!=NULL)
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['id'])."' AND `activation` = '".my_esc($_GET['activation'])."'"),0)==1)
{

mysql_query("UPDATE `user` SET `activation` = null WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
$user=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"));
mysql_query("INSERT INTO `reg_mail` (`id_user`,`mail`) VALUES ('$user[id]','$user[ank_mail]')");
msg('Ваш аккаунт успешно активирован');

$_SESSION['id_user']=$user['id'];
include_once 'sys/inc/tfoot.php';
}
}

if (isset($_SESSION['step']) && $_SESSION['step']==1 && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` = '".$_SESSION['reg_nick']."'"),0)==0 && isset($_POST['pass1']) && $_POST['pass1']!=NULL && $_POST['pass2'] && $_POST['pass2']!=NULL)
{

if ($set['reg_select']=='open_mail')
{
if (!isset($_POST['ank_mail']) || $_POST['ank_mail']==NULL)$err[]='Неоходимо ввести Email';
elseif (!preg_match('#^[A-z0-9-\._]+@[A-z0-9]{2,}\.[A-z]{2,4}$#ui',$_POST['ank_mail']))$err[]='Неверный формат Email';
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `reg_mail` WHERE `mail` = '".my_esc($_POST['ank_mail'])."'"),0)!=0)
{
$err[]="Пользователь с этим E-mail уже зарегистрирован";
}
}


if (strlen2($_POST['pass1'])<6)$err[]='По соображениям безопасности пароль не может быть короче 6-ти символов';
if (strlen2($_POST['pass1'])>32)$err[]='Длина пароля превышает 32 символа';
if ($_POST['pass1']!=$_POST['pass2'])$err[]='Пароли не совпадают';
if (!isset($_SESSION['captcha']) || !isset($_POST['chislo']) || $_SESSION['captcha']!=$_POST['chislo']){$err[]='Неверное проверочное число';}

if (!isset($err))
{
if ($set['reg_select']=='open_mail')
{
$activation=md5(passgen());
mysql_query("INSERT INTO `user` (`nick`, `pass`, `date_reg`, `date_last`, `pol`, `activation`, `ank_mail`) values('".$_SESSION['reg_nick']."', '".shif($_POST['pass1'])."', '$time', '$time', '".intval($_POST['pol'])."', '$activation', '".my_esc($_POST['ank_mail'])."')",$db);

$id_reg=mysql_insert_id();
$subject = "Активация аккаунта";
$regmail = "Здравствуйте $_SESSION[reg_nick]<br />
Прежде всего выражаю благодарность за регистрацию на сайте Xhata.Su!<br />Для того,чтобы активировать свой ник Вам необходимо перейти по ссылке:<br />
<a href='http://$_SERVER[SERVER_NAME]/reg.php?id=$id_reg&amp;activation=$activation'>http://$_SERVER[SERVER_NAME]/reg.php?id=".mysql_insert_id()."&amp;activation=$activation</a><br />
Если аккаунт не будет активирован в течении 24 часов, он будет удален<br />
С уважением, cоздатель сайта Xhata.Su<br />
";
$adds="From: \"password@$_SERVER[HTTP_HOST]\" <password@$_SERVER[HTTP_HOST]>\n";
//$adds = "From: <$set[reg_mail]>\n";
//$adds .= "X-sender: <$set[reg_mail]>\n";
$adds .= "Content-Type: text/html; charset=utf-8\n";
mail($_POST['ank_mail'],'=?utf-8?B?'.base64_encode($subject).'?=',$regmail,$adds);

}
else
mysql_query("INSERT INTO `user` (`nick`, `pass`, `date_reg`, `date_last`, `pol`) values('".$_SESSION['reg_nick']."', '".shif($_POST['pass1'])."', '$time', '$time', '".intval($_POST['pol'])."')",$db);
////////////////////////////////////////////
$uid=mysql_insert_id();
$fname=$_SERVER['DOCUMENT_ROOT']."/sys/dat/reg_mess.txt";
if(is_file($fname))
{
	$reg_mess_arr=explode('|',file_get_contents($fname));
	$reg_mess_on=$reg_mess_arr[0];
	$reg_mess_text=$reg_mess_arr[1];

	if($reg_mess_on)
	{
	$msg=mysql_escape_string($reg_mess_text);
	$reg_mess_text=str_replace('{name}',$_SESSION['reg_nick'],$reg_mess_text);
	mysql_query("INSERT INTO `konts` (`id_user`, `id_kont`, `time`) values('$uid', '2', '$time')");
	mysql_query("INSERT INTO `konts_aut` (`id_user`, `id_kont`, `aut`) VALUES ('$uid','2', 'ok')");
	mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('2', '$uid', '$reg_mess_text', '$time')");
	}
}
////////////////////////////////////////////
$user=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `nick` = '".my_esc($_SESSION['reg_nick'])."' AND `pass` = '".shif($_POST['pass1'])."' LIMIT 1"));


if (isset($_SESSION['http_referer']))
mysql_query("INSERT INTO `user_ref` (`time`, `id_user`, `type_input`, `url`) VALUES ('$time', '$user[id]', 'reg', '".my_esc($_SESSION['http_referer'])."')");

$_SESSION['id_user']=$user['id'];
setcookie('id_user', $user['id'], time()+60*60*24*365);
setcookie('pass', cookie_encrypt($_POST['pass1'],$user['id']), time()+60*60*24*365);


if ($set['reg_select']=='open_mail')
{
msg('Вам необходимо активировать Ваш аккаунт по ссылке, высланной на Email');
}
else
{
msg('Вы успешно зарегистрированы!');
}

echo "Поздравляем!!!<br />Вы стали новым обитателем сайта Xhata.Su<br /><img src='/style/mishki.gif' alt='' class='icon'/><br />Надеемся Вам у нас понравится и Вы сюда зайдете еще не один раз!<br/>Рекомендуем Вам сразу заполнить свою <a href='/anketa.php'><font color='red'><b>Aнкету</b></a></font><br />\n";
echo "Если Ваш браузер не поддерживает Cookie, Вы можете создать закладку для автовхода<br />\n";
echo "<input type='text' value='http://$_SERVER[SERVER_NAME]/?id=$user[id]&amp;pass=".htmlspecialchars($_POST['pass1'])."' /><br />\n";
if ($set['reg_select']=='open_mail')unset($user);
echo "<div class='foot'>\n";
echo "<img src='/style/icons/settings.png' alt='' class='icon'/>\n";
echo "<a href='info.php'>Моя страничка</a><br />\n";
echo "</div>\n";
include_once 'sys/inc/tfoot.php';
}
}
elseif (isset($_POST['nick']) && $_POST['nick']!=NULL )
{



if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` = '".my_esc($_POST['nick'])."'"),0)==0)
{
$nick=my_esc($_POST['nick']);


if( !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['nick']))$err[]='В нике присутствуют запрещенные символы';

if (strlen2($nick)<3)$err[]='Короткий ник';
if (strlen2($nick)>32)$err[]='Длина ника превышает 32 символа';

}
else $err[]='Ник "'.stripcslashes(htmlspecialchars($_POST['nick'])).'" уже зарегистрирован';


if (!isset($err)){
$_SESSION['reg_nick']=$nick;
$_SESSION['step']=1;
msg ("Регистрация ника  \"$nick\"");

}
}

err();

if (isset($_SESSION['step']) && $_SESSION['step']==1){
echo "<div class='textmes'>";
echo "<form method='post' action='/reg.php?$passgen'>\n";
echo "Ваш ник:<br /><input type='text' name='nick' maxlength='32' value='$_SESSION[reg_nick]' /><br />\n";
echo "<input type='submit' value='Другой' />\n";
echo "</form><br />\n";
echo "</div>\n";
echo "<div class='tmn'>";
echo "<form method='post' action='/reg.php?$passgen'>\n";
echo "<input type='radio' name='pol' value='1' checked='checked'> я — парень<br />
<input type='radio' name='pol' value='0'> я — девушка<br />\n";
echo "</div>\n";
echo "<div class='rekl'>";
if ($set['reg_select']=='open_mail')
{
echo "E-mail:<br /><input type='text' name='ank_mail' /><br />\n";
echo "* Указывайте ваш реальный адрес E-mail. На него придет код для активации аккаунта.<br />\n";
}
echo "Введите пароль (6-32 символов):<br /><input type='password' name='pass1' maxlength='32' /><br />\n";
echo "Повторите пароль:<br /><input type='password' name='pass2' maxlength='32' /><br />\n";
$captcha=rand(10000,99999);
echo "Введите число:<b>$captcha</b> <br/><input name='chislo' size='5' maxlength='5' value='' type='text' />\n";
$_SESSION['captcha']=$captcha;
echo "<input type='submit' value='шаг 2' />\n";
echo "<br />\n";
echo "<div class='hello'>\n";
echo "Регистрируясь, Вы автоматически соглашаетесь с <a href='/rules.php'>правилами</a> Xhata.Su<br />\n";
echo "</div>\n";
echo "</form><br />\n";
}
else
{
echo "<div class='hello'>\n";
echo "После регистрации ты сможешь:<br />- Общаться в чате и форуме<br />- Знакомиться с обитателями Xhata.Su<br />- Загружать и скачивать файлы в Зоне Обмена<br />- Вести свой дневник<br />- Загружать свои фото<br />- Развлекаться в городе и еще много чего интересного!<br />\n";
echo "</div>\n";
echo "<form method='post' action='/reg.php?$passgen'>\n";
echo "Выберите себе ник:<br /><input type='text' name='nick' maxlength='32' /><br />\n";
echo "<input type='submit' value='Шаг 1' />\n";
echo "</form><br />\n";
echo "<div class='tmn'>\n";
echo "<center>И конечно же Xhata.Su совершенно бесплатный сайт!</center>\n";
echo "</div>\n";
}
echo "</div>\n";
include_once 'sys/inc/tfoot.php';
?>